TelepathyQt4: Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 > Class Template Reference

`#include <TelepathyQt4/types.h>`

Inherits SharedPtr< MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > >.

List of all members.

## Public Member Functions

- MethodInvocationContextPtr ()
- MethodInvocationContextPtr (MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > *d)
- MethodInvocationContextPtr (const SharedPtr< MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > > &o)
- MethodInvocationContextPtr (const WeakPtr< MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > > &o)

### template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>
class Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 >

## Constructor & Destructor Documentation

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 >::MethodInvocationContextPtr | ( |  | ) | `[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 >::MethodInvocationContextPtr | ( | MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > * | d | ) | `[inline, explicit]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 >::MethodInvocationContextPtr | ( | const SharedPtr< MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > > & | o | ) | `[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

Tp::MethodInvocationContextPtr< T1, T2, T3, T4, T5, T6, T7, T8 >::MethodInvocationContextPtr | ( | const WeakPtr< MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > > & | o | ) | `[inline, explicit]`